apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: free5gc
  namespace: sylva-system
spec:
  chart:
    spec:
      chart: free5gc
      interval: 5m
      sourceRef:
        kind: HelmRepository
        name: free5gc
        namespace: sylva-system
      version: 1.1.7
  kubeConfig:
    secretRef:
      name: workload-cluster-aws
  install:
    createNamespace: true
    crds: CreateReplace
    remediation:
      retries: 1
  interval: 15m
  storageNamespace: free5gc
  targetNamespace: free5gc
  upgrade:
    crds: CreateReplace
    remediation:
      retries: 1
  values:
    deployMongoDb: false
    deployAmf: false
    deployAusf: true
    deployN3iwf: false
    deployNrf: true
    deployNssf: true
    deployPcf: true
    deploySmf: false
    deployUdm: true
    deployUdr: true
    deployUpf: false
    deployWebui: false 
    deployDbPython: false
    free5gc-ausf:
      ausf:
        resources:
          requests:
    free5gc-nrf:
      db:
        enabled: true
      nrf:
        resources:
          requests:
    free5gc-udr:
      udr:
        resources:
          requests:
    free5gc-udm:
      udm:
        resources:
          requests:
    free5gc-pcf:
      pcf:
        resources:
          requests:
    free5gc-nssf:
      nssf:
        resources:
          requests: